/*
*
* Alexandria Email Builder make_mail
*
*/

function alexandria_mail_builder_make_mail(next_section) {

	let lang = jQuery('html').attr('lang');
	let lang_code = lang.substring(0, 2);

	let data = jQuery('#alexandria-hidden-form').serialize();
	data += '&action=alexandria_email_builder_get_custom_post_metadata_ajax';
	data += '&alexandria_email_builder_get_custom_post_metadata_ajax=metadata';
	data += '&lang='+lang_code;

	let url = translated_alexandria_mail_builder_strings.admin_url;

	jQuery.post(url, data, function(response) {

		var server_data = JSON.parse(response);

		// console.log(server_data);
		
		if(server_data.email == null) {
			jQuery('#alexandria_mail_builder_loading_spinner').delay(1000).hide();
			jQuery('#alexandria_mail_not_found').delay(3000).addClass('visible');
			return false;
		}

		var metadata = [server_data].map((item) => {
			return item['metadata'];
		});


		// Email Section
		if(metadata[0]['soliloquios'] != undefined && metadata[0]['soliloquios'].length != 0) {

			for (var $i = 0; $i < metadata[0]['soliloquios'].length; $i++) {

				if($i == 0){
					jQuery('#soliloquio_title').append('<span class="item-text" data-order="'+$i+'">'+ metadata[0]['soliloquios'][$i]['post_title'] + '</span>');
					jQuery('#soliloquio_title_hidden').append('<span class="item-text" id="sol-'+$i+'">'+ metadata[0]['soliloquios'][$i]['post_title'] + '</span>');
				} else {
					jQuery('#soliloquio_title_hidden').append('<span class="item-text" id="sol-'+$i+'">'+ metadata[0]['soliloquios'][$i]['post_title'] + '</span>');
				}

			}

			var total_soliloquios = jQuery('#soliloquio_title_hidden span').length;

			if(total_soliloquios == 1) {
				jQuery('#soliloquio_block').find('.alexandria-mail-builder__change-button-section').css('display', 'none');
			}

		} else {
			jQuery('#soliloquio_block').css('display', 'none');
		}

		if(metadata[0]['gran_ideas_email'] != undefined && metadata[0]['gran_ideas_email'].length != 0) {

			for (var $i = 0; $i < metadata[0]['gran_ideas_email'].length; $i++) {

				if($i == 0){
					jQuery('#gran_ideas_email_title').append('<span class="item-text" data-order="'+$i+'">'+ metadata[0]['gran_ideas_email'][$i]['post_title']+ '</span>');
					jQuery('#gran_ideas_email_title_hidden').append('<span class="item-text" id="gran-idea-email-'+$i+'">'+ metadata[0]['gran_ideas_email'][$i]['post_title'] + '</span>');
				} else {
					jQuery('#gran_ideas_email_title_hidden').append('<span class="item-text" id="gran-idea-email-'+$i+'">'+ metadata[0]['gran_ideas_email'][$i]['post_title'] + '</span>');
				}

			}

			var total_gran_ideas = jQuery('#gran_ideas_email_title_hidden span').length;

			if(total_gran_ideas == 1) {
				jQuery('#gran_ideas_email_block').find('.alexandria-mail-builder__change-button-section').css('display', 'none');
			}

		} else {
			jQuery('#gran_ideas_email_block').css('display', 'none');
		}


		if(metadata[0]['arguments_email'] != undefined && metadata[0]['arguments_email'].length != 0) {

			for (var $i = 0; $i < metadata[0]['arguments_email'].length; $i++) {

				var title = "";
				var description = "";

				if(metadata[0]['arguments_email'][$i]['post_title'] != '') {
					title = metadata[0]['arguments_email'][$i]['post_title'];
				}

				if(metadata[0]['arguments_email'][$i]['post_content'] != '') {
					description = metadata[0]['arguments_email'][$i]['content'];
				}

				if($i == 0){
					jQuery('#arguments_email_wrapper').append('<div id="arguments_email_title"><span class="item-text" data-order="'+$i+'"><div class="argument-data"><span class="argument-title">'+ title+ '</span><span class="argument-content">'+description+'</span></span></div></div>');
					jQuery('#arguments_email_title_hidden').append('<span class="item-text" id="arg-em-'+$i+'"><div class="argument-data"><span class="argument-title">'+ title + '</span><span class="argument-content">'+description+'</span></div></span>');
				} else {
					jQuery('#arguments_email_title_hidden').append('<span class="item-text" id="arg-em-'+$i+'"><div class="argument-data"><span class="argument-title">'+ title + '</span><span class="argument-content">'+description+'</span></div></span>');
				}

			}

			var total_arguments_email = jQuery('#arguments_email_title_hidden span').length;

			if(total_arguments_email == 1) {
				jQuery('#arguments_email_block').find('.alexandria-mail-builder__change-button-section').css('display', 'none');
			}

		} else {
			jQuery('#arguments_email_block').css('display', 'none');
		}

		if(metadata[0]['call_to_action'] != undefined && metadata[0]['call_to_action'].length != 0) {

			for (var $i = 0; $i < metadata[0]['call_to_action'].length; $i++) {

				if($i == 0){
					jQuery('#call_to_action_title').append('<span class="item-text" data-order="'+$i+'">'+ metadata[0]['call_to_action'][$i]['post_title']+ '</span>');
					jQuery('#call_to_action_title_hidden').append('<span class="item-text" id="call-'+$i+'">'+ metadata[0]['call_to_action'][$i]['post_title'] + '</span>');
				} else {
					jQuery('#call_to_action_title_hidden').append('<span class="item-text" id="call-'+$i+'">'+ metadata[0]['call_to_action'][$i]['post_title'] + '</span>');
				}

			}

			var max = jQuery('#call_to_action_title_hidden span').length;

			if(max == 1) {
				jQuery('#call_to_action_block').find('.alexandria-mail-builder__change-button-section').css('display', 'none');
			}

		} else {
			jQuery('#call_to_action_block').css('display', 'none');
		}

		// Pitch Section
		let empty = true;
		if(metadata[0]['gran_ideas_pitch'] != undefined && metadata[0]['gran_ideas_pitch'].length != 0) {
			empty = false;

			for (var $i = 0; $i < metadata[0]['gran_ideas_pitch'].length; $i++) {
				jQuery('#gran_ideas_pitch_wrapper').append('<span class="item-text">'+ metadata[0]['gran_ideas_pitch'][$i]['post_title']+ '</span>');
			} 

		} else {
			jQuery('#gran_ideas_pitch_block').css('display', 'none');
		}

		if(metadata[0]['arguments_pitch'] != undefined && metadata[0]['arguments_pitch'].length != 0) {
			empty = false;

			for (var $i = 0; $i < metadata[0]['arguments_pitch'].length; $i++) {

				var title = "";
				var description = "";

				if(metadata[0]['arguments_pitch'][$i]['post_title'] != '') {
					title = metadata[0]['arguments_pitch'][$i]['post_title'];
				}

				if(metadata[0]['arguments_pitch'][$i]['post_content'] != '') {
					description = metadata[0]['arguments_pitch'][$i]['content'];
				}
	
				jQuery('#arguments_pitch_wrapper').append('<span class="item-text"><div class="argument-pitch-data"><span class="argument-pitch-title">'+ title+ '</span><span class="argument-pitch-content">'+description+'</span></div></span>');

			} 

		} else {
			jQuery('#arguments_pitch_block').css('display', 'none');
		}

		if(metadata[0]['content_boxes'] != undefined && metadata[0]['content_boxes'].length != 0) {
			empty = false;
			for (var $i = 0; $i < metadata[0]['content_boxes'].length; $i++) {
				jQuery('#content_boxes_wrapper').append('<span class="item-text">'+ metadata[0]['content_boxes'][$i]['post_title']+ '</span>');
			} 

		} else {
			jQuery('#content_boxes_block').css('display', 'none');
		}

		if(metadata[0]['engagement_boxes'] != undefined && metadata[0]['engagement_boxes'].length != 0) {
			empty = false;

			for (var $i = 0; $i < metadata[0]['engagement_boxes'].length; $i++) {
				jQuery('#engagement_boxes_wrapper').append('<span class="item-text">'+ metadata[0]['engagement_boxes'][$i]['post_title']+ '</span>');
			} 

		} else {
			jQuery('#engagement_boxes_block').css('display', 'none');
		}

		if(metadata[0]['ingredients'] != undefined && metadata[0]['ingredients'].length != 0) {
			empty = false;

			for (var $i = 0; $i < metadata[0]['ingredients'].length; $i++) {
				jQuery('#ingredients_wrapper').append('<span class="item-text">'+ metadata[0]['ingredients'][$i]['post_title']+ '</span>');
			} 

		} else {
			jQuery('#ingredients_block').css('display', 'none');
		}

		if(empty == true) {
			jQuery('#pitch_tab').css('display', 'none');
		}

		// Examples Section
		if(metadata[0]['examples_email'] != undefined && metadata[0]['examples_email'].length != 0) {

			for (var $i = 0; $i < metadata[0]['examples_email'].length; $i++) {

				var title = "";
				var description = "";

				if(metadata[0]['examples_email'][$i]['post_title'] != '') {
					title = metadata[0]['examples_email'][$i]['post_title'];
				} else {
					title = translated_alexandria_mail_builder_strings.no_example_text;
				}

				if(metadata[0]['examples_email'][$i]['post_content'] != '') {
					description = metadata[0]['examples_email'][$i]['content'];
				} else {
					description = translated_alexandria_mail_builder_strings.no_example_description_text;
				}

				jQuery('#examples').append('<div class="example-principal"><span class="example-principal-title">'+title+'</span><span class="example-description">'+description+'</span></div>');
			}		

		} else {
			jQuery('#examples_tab').css('display', 'none');
			jQuery('#examples').css('display', 'none');
		}

		jQuery('#alexandria-mail-builder-button-container-tabs').addClass('visible');
		next_section.delay(3000).addClass('active');

		jQuery('#alexandria_mail_builder_loading_spinner').hide();
	});
}

var getObjectSize = function(obj) {
	var len = 0, key;
	for (key in obj) {
		if (obj.hasOwnProperty(key)) len++;
	}
	return len;
};
