<?php

/**
 * Interlocutors-Step Partial.
 *
 * @package Alexandria_Mail_Builder
 * @subpackage Alexandria_Mail_Builder/public/templates/partials
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

?>

<div class="alexandria-mail-builder__step active" data-step="1">

	<div class="alexandria-section-title-wrapper">

		<div class="alexandria-section-title">
			<h2><?php _e('Interlocutor', 'alexandria-mail-builder'); ?></h2>
		</div>

		<div class="alexandria-section-subtitle">
			<h3><?php _e('Selecciona el tipo de interlocutor al que te vas a dirigir', 'alexandria-mail-builder'); ?></h3>
		</div>

	</div>

	<div class="alexandria-mail-builder__interlocutors-step">

		<div class="alexandria-mail-builder__interlocutors-wrapper">

			<?php if( $args['interlocutors'] ) : 

				foreach ( $args['interlocutors'] as $interlocutor ) { ?>

					<div class="interlocutor-item" data-interlocutor_id="<?php echo $interlocutor->ID ?>">
						<span><?php echo $interlocutor->post_title ?></span>
					</div>

				<?php } else : ?>

				<div class="interlocutor-item">
					<span>
						<?php esc_html_e('No hay interlocutores', 'alexandria-mail-builder'); ?>
					</span>
				</div>

			<?php endif; ?>

		</div>	

	</div>

</div>