<?php

/**
 * E-mail Builder inner template.
 *
 * @package Alexandria_Mail_Builder
 * @subpackage Alexandria_Mail_Builder/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

$plugin_name = "alexandria-mail-builder";

?>

<!-- Header Title -->
<?php include 'layouts/builder_fixed_header.php' ?>
<!-- End Header Title -->

<!-- Steps Container Section -->
<section id="alexandria_mail_builder_main" class="alexandria-mail-builder__steps-container">

	<div class="alexandria-mail-builder__steps-wrapper">

		<!-- End Loader Spinner -->
		<?php include 'elements/loading-spinner.php' ?>
		<!-- End Loader Spinner section -->

		<!-- Steps Section -->
		<?php include 'partials/interlocutors-step.php' ?>

		<?php include 'partials/situations-step.php' ?>

		<?php include 'partials/tonos-step.php' ?>

		<?php include 'partials/tabs_section-step.php' ?>
		<!-- End Steps Section -->

		<!-- Controls Container -->
		<div class="alexandria-mail-builder__steps-controls-container">

			<div class="alexandria-mail-builder__steps-controls-wrapper">

				<a href="#" class="alexandria-mail-builder__steps-controls-button back">
					<?php _e('Atrás', 'alexandria-mail-builder') ?>
				</a>

				<a href="#" class="alexandria-mail-builder__steps-controls-button continue">
					<?php _e('Siguiente', 'alexandria-mail-builder') ?>
				</a>

			</div>

		</div>
		<!-- End Controls Container -->

		<!-- Hiden Form -->
		<form id="alexandria-hidden-form" action="">
			<input type="hidden" value="" name="interlocutor" id="interlocutor_id" data-step="1" data-title=""/>
			<input type="hidden" value="" name="situation" id="situation_id" data-step="2" data-parent_title="" data-title=""/>
			<input type="hidden" value="" name="tono" id="tono_id" data-step="3" data-title=""/>		
		</form>
		<!-- End Hiden Form -->

		<!-- Hidden Text Area -->
		<div class="alexandria-mail-builder__hidden-text-area">
			<textarea id="alexandria_mail_builder_textarea_clipboard" name="hidden_text_area" tabindex='-1' aria-hidden='true'></textarea>
		</div>
		<!-- End Hidden Text Area -->

		<!-- E-Mail Not Found Message Area -->
		<div id="alexandria_mail_not_found" class="alexandria-mail-builder__mail-not-found-container">

			<div class="alexandria-mail-builder__mail-not-found-text-section">
				<span><?php _e('Lo sentimos, no se ha encontrado ningún e-mail con esas características, vuelva atrás y seleccione otras características.', 'alexandria-mail-builder'); ?></span>
			</div>

			<div class="alexandria-mail-builder__mail-not-found-button-section">
				<a id="alexandria_mail_builder_back_to_init" href="#">
					<?php _e('Atrás', 'alexandria-mail-builder') ?>
				</a>
			</div>

		</div>
		<!-- End E-Mail Not Found Message Area -->

	</div>

</section>
<!-- End Steps Container Section -->